#pragma once

#include "Vector2.hpp"
#include "Vector3.hpp"
#include <vector>

namespace TSE
{
    class IRenderable
    {
    public:
        virtual const Vector3* GetVertices() const = 0;
        virtual const Vector2* GetUVs() const = 0;
        virtual const std::vector<ushort> GetIndices() const = 0;
        virtual size_t GetVertexCount() const = 0;
        virtual ~IRenderable() = default;
    };
} // namespace TSE
